import RPi.GPIO as GPIO
import smbus
from time import sleep

bus = smbus.SMBus(1)
# SLP & Mx config
bus.write_byte(0x27, 0x88)

GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)

GPIO.setup(23, GPIO.OUT) #EN
GPIO.setup(24, GPIO.OUT) #DIR
GPIO.setup(25, GPIO.OUT) #STP
GPIO.setup(6, GPIO.OUT)  #RES
GPIO.setup(26, GPIO.IN)  #FLT DRV8825

GPIO.output(6, GPIO.LOW) #RES pulse
sleep(0.2)
GPIO.output(6, GPIO.HIGH)
sleep(0.2)
GPIO.output(23, GPIO.LOW) #EN DRV
GPIO.output(24, GPIO.LOW) #DIR set

x=1

while x < 49:
  print("STEP: ",x)
  GPIO.output(25, GPIO.LOW) # STP+
  GPIO.output(25, GPIO.HIGH)
  sleep(0.2)
  x=x+1

GPIO.cleanup()
bus.write_byte(0x27, 0x00)
